## sgmltexi 2001.12.23

=== Makefile ===
# Used by Debian GNU/Linux.
DESTDIR=debian/sgmltexi

# Where to put binaries on "make install".
BIN =  $(DESTDIR)/usr/bin

# Where to put documentation, readme and copyright
DOCDIR= $(DESTDIR)/usr/share/doc/sgmltexi

# Man directory
MANDIR= $(DESTDIR)/usr/share/man/man1

# From FHS:
# Any program or package which contains or requires data that 
# doesn't need to be modified should store that data in /usr/share 
# (or /usr/local/share, if installed locally). It is
# recommended that a subdirectory be used in /usr/share for this purpose. 

SHAREDIR= $(DESTDIR)/usr/share/sgmltexi
INFODIR= $(DESTDIR)/usr/share/info

PODIR= $(DESTDIR)/usr/share/locale/it/LC_MESSAGES

install:

	install -d $(DOCDIR) $(BIN) $(MANDIR) $(SHAREDIR) $(PODIR) $(INFODIR)
	install -m755 ./bin/*		$(BIN)
	cp -a ./share/* 		$(SHAREDIR)
	install -m644 ./doc/sgmltexi/*		$(DOCDIR)
	install -m644 ./doc/sgmltexi.ps		$(DOCDIR)
	cp -a ./doc/examples			$(DOCDIR)
	install -m644 ./doc/sgmltexi.info*	$(INFODIR)

# No clean needed
clean:

# No compilation needed
all:


#-----------------------------------------------------------------------
# Internal use
#-----------------------------------------------------------------------

Sgmltexiclean:
	./sgmltexi.ver
	rm -rf *.orig
	rm -rf *.orig?
	rm -rf *.orig??
	rm -rf *.orig???
	rm -rf bin/*.orig
	rm -rf bin/*.orig?
	rm -rf bin/*.orig??
	rm -rf bin/*.orig???
	rm -rf etc/*.orig
	rm -rf etc/*.orig?
	rm -rf etc/*.orig??
	rm -rf etc/*.orig???
	rm -rf doc/*.orig
	rm -rf doc/*.orig?
	rm -rf doc/*.orig??
	rm -rf doc/*.orig???
	rm -rf man/*.orig
	rm -rf man/*.orig?
	rm -rf man/*.orig??
	rm -rf man/*.orig???
	rm -rf share/*.orig
	rm -rf share/*.orig?
	rm -rf share/*.orig??
	rm -rf share/*.orig???
	rm -rf po/*.mo
	cd doc ; make cleanall ; make ; make clean ; cd ..

Sgmltexispell:
	@ispell bin/sgmltexi				; \
	ispell bin/sgmltexi-sp2texi			; \
	ispell Makefile					; \
	ispell share/sgmltexi.dtd			; \
	ispell share/sgmltexi.cat			; \
	ispell share/sgmltexi.dcl


Sgmlteximessages:
	@xgettext bin/sgmltexi bin/sgmltexi-sp2texi

=== doc/Makefile ===
#=======================================================================
# Copyright (c) 2000 Daniele Giacomini daniele@swlibero.org
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#=======================================================================

#-----------------------------------------------------------------------
# Program name.
#-----------------------------------------------------------------------
PROJECT=sgmltexi

#-----------------------------------------------------------------------
# Do all compositions.
#-----------------------------------------------------------------------
all: \
ps \
text \
html \
info \
pdf

#-----------------------------------------------------------------------
# Delete stale files.
#-----------------------------------------------------------------------
clean:
	@echo "Cleaning stale files."			; \
	rm -f $(PROJECT).aux				; \
	rm -f $(PROJECT).cp				; \
	rm -f $(PROJECT).cps				; \
	rm -f $(PROJECT).sg				; \
	rm -f $(PROJECT).sgs				; \
	rm -f $(PROJECT).fl				; \
	rm -f $(PROJECT).fls				; \
	rm -f $(PROJECT).fn				; \
	rm -f $(PROJECT).fns				; \
	rm -f $(PROJECT).ky				; \
	rm -f $(PROJECT).kys				; \
	rm -f $(PROJECT).log				; \
	rm -f $(PROJECT).pg				; \
	rm -f $(PROJECT).pgs				; \
	rm -f $(PROJECT).toc				; \
	rm -f $(PROJECT).tp				; \
	rm -f $(PROJECT).tps				; \
	rm -f $(PROJECT).vr				; \
	rm -f $(PROJECT).vrs				; \
	rm -f $(PROJECT).diag				; \
	rm -f $(PROJECT).orig				; \
	rm -f $(PROJECT).orig?				; \
	rm -f $(PROJECT).texinfo.bak			; \
	rm -f $(PROJECT)*.bak

#-----------------------------------------------------------------------
# Delete stale files.
#-----------------------------------------------------------------------
cleanall: clean
	@echo "Cleaning non-vital files."			; \
	rm -f $(PROJECT).ps				; \
	rm -f $(PROJECT).pdf				; \
	rm -f $(PROJECT).html				; \
	rm -f $(PROJECT).info				; \
	rm -f $(PROJECT).info.gz			; \
	rm -f $(PROJECT).info-*				; \
	rm -f $(PROJECT).tex				; \
	rm -f $(PROJECT).texinfo			; \
	rm -f $(PROJECT).txt				; \
	rm -f $(PROJECT).dvi				; \
	rm -rf sgmlteki					; \

#-----------------------------------------------------------------------
# Check spelling.
#-----------------------------------------------------------------------
spell:
	@sgmltexi --text --force $(PROJECT).sgml	; \
	ispell $(PROJECT).txt				; \
	ispell $(PROJECT).1				; \
	ispell Makefile

#-----------------------------------------------------------------------
# Check SGML syntax.
#-----------------------------------------------------------------------
check:
	@sgmltexi --sgml-check $(PROJECT).sgml

#-----------------------------------------------------------------------
# Compose as PostScript.
#-----------------------------------------------------------------------
ps:
	@sgmltexi --ps $(PROJECT).sgml

#-----------------------------------------------------------------------
# Compose as PDF.
#-----------------------------------------------------------------------
pdf:
	@sgmltexi --pdf $(PROJECT).sgml

#-----------------------------------------------------------------------
# Compose as Info.
#-----------------------------------------------------------------------
info:
	@sgmltexi --info --force $(PROJECT).sgml

#-----------------------------------------------------------------------
# Compose as text.
#-----------------------------------------------------------------------
txt: text
text:
	@sgmltexi --text --force $(PROJECT).sgml

#-----------------------------------------------------------------------
# Compose as HTML.
#-----------------------------------------------------------------------
html:
	@sgmltexi --html --force $(PROJECT).sgml

=== doc/examples/Makefile ===
#=======================================================================
# Copyright (c) 2000 Daniele Giacomini daniele@swlibero.org
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#=======================================================================

#-----------------------------------------------------------------------
# Program name.
#-----------------------------------------------------------------------
PROJECT=sgmltexi

#-----------------------------------------------------------------------
# Do all compositions.
#-----------------------------------------------------------------------
all: \
ps \
text \
html \
info \
pdf

#-----------------------------------------------------------------------
# Delete stale files.
#-----------------------------------------------------------------------
clean:
	@echo "Cleaning stale files."			; \
	rm -f $(PROJECT).aux				; \
	rm -f $(PROJECT).cp				; \
	rm -f $(PROJECT).cps				; \
	rm -f $(PROJECT).sg				; \
	rm -f $(PROJECT).sgs				; \
	rm -f $(PROJECT).fl				; \
	rm -f $(PROJECT).fls				; \
	rm -f $(PROJECT).fn				; \
	rm -f $(PROJECT).fns				; \
	rm -f $(PROJECT).ky				; \
	rm -f $(PROJECT).kys				; \
	rm -f $(PROJECT).log				; \
	rm -f $(PROJECT).pg				; \
	rm -f $(PROJECT).pgs				; \
	rm -f $(PROJECT).toc				; \
	rm -f $(PROJECT).tp				; \
	rm -f $(PROJECT).tps				; \
	rm -f $(PROJECT).vr				; \
	rm -f $(PROJECT).vrs				; \
	rm -f $(PROJECT).diag				; \
	rm -f $(PROJECT).orig				; \
	rm -f $(PROJECT).orig?				; \
	rm -f $(PROJECT).texinfo.bak			; \
	rm -f $(PROJECT)*.bak

#-----------------------------------------------------------------------
# Delete stale files.
#-----------------------------------------------------------------------
cleanall: clean
	@echo "Cleaning non-vital files."			; \
	rm -f $(PROJECT).ps				; \
	rm -f $(PROJECT).pdf				; \
	rm -f $(PROJECT).html				; \
	rm -f $(PROJECT).info				; \
	rm -f $(PROJECT).info-*				; \
	rm -f $(PROJECT).tex				; \
	rm -f $(PROJECT).texinfo			; \
	rm -f $(PROJECT).txt				; \
	rm -f $(PROJECT).dvi				; \


#-----------------------------------------------------------------------
# Check spelling.
#-----------------------------------------------------------------------
spell:
	@sgmltexi --text --force $(PROJECT).sgml	; \
	ispell $(PROJECT).txt				; \
	ispell $(PROJECT).1				; \
	ispell Makefile

#-----------------------------------------------------------------------
# Check SGML syntax.
#-----------------------------------------------------------------------
check:
	@sgmltexi --sgml-check $(PROJECT).sgml

#-----------------------------------------------------------------------
# Compose as PostScript.
#-----------------------------------------------------------------------
ps:
	@sgmltexi --ps $(PROJECT).sgml

#-----------------------------------------------------------------------
# Compose as PDF.
#-----------------------------------------------------------------------
pdf:
	@sgmltexi --pdf $(PROJECT).sgml

#-----------------------------------------------------------------------
# Compose as Info.
#-----------------------------------------------------------------------
info:
	@sgmltexi --info --force $(PROJECT).sgml

#-----------------------------------------------------------------------
# Compose as text.
#-----------------------------------------------------------------------
txt: text
text:
	@sgmltexi --text --force $(PROJECT).sgml

#-----------------------------------------------------------------------
# Compose as HTML.
#-----------------------------------------------------------------------
html:
	@sgmltexi --html --force $(PROJECT).sgml

=== debian/changelog ===
sgmltexi (2001.12.23) unstable; urgency=low

  * Email address correction in control file

 -- Gaetano Paolone (bigpaul) <bigpaul@debian.org>  Sun, 23 Dec 2001 11:42:00 +0200

sgmltexi (2001.12.22) unstable; urgency=low

  * New maintainer email address

 -- Gaetano Paolone (bigpaul) <bigpaul@debian.org>  Sat, 22 Dec 2001 20:20:00 +0200

sgmltexi (2001.09.03) unstable; urgency=low

  * Packaging 2001.09.03 release.
  * First Debian release.

 -- Gaetano Paolone <bigpaul@linuxfaq.it>  Mon, 03 Sep 2001 20:20:00 +0200

sgmltexi (2001.09.02) unstable; urgency=low

  * Reverting to original doc/ structure. example/ is still there.

 -- Gaetano Paolone <bigpaul@linuxfaq.it>  Sun, 02 Sep 2001 23:33:00 +0200

sgmltexi (2001.08.29) unstable; urgency=low

  * First steps in debian packaging.

 -- Gaetano Paolone <bigpaul@linuxfaq.it>  Sat, 1 Sep 2001 14:25:00 +0200

=== debian/control ===
Source: sgmltexi
Section: doc
Priority: optional
Maintainer: Gaetano Paolone (bigpaul) <bigpaul@debian.org>
Build-Depends-Indep: debhelper (>> 3.0.0), gettext
Standards-Version: 3.5.2

Package: sgmltexi
Architecture: all
Depends: ${perl:Depends}, sp (>= 1.3.4-1.2.1-16), texinfo (>= 4.0-4), tetex-bin (>= 0.9.990310-1), tetex-extra (>= 1.0.2), liblocale-gettext-perl (>= 1.01-8)
Description: SGML typesetting system able to create Texinfo documents.
 Sgmltexi is a DTD with tools to get Texinfo. The idea is to have
 another way to write Texinfo documents,
 intended to be a little bit easier. 
 .
 Sgmltexi manages Texinfo nodes automatically, generating
 an Info menu at the Top node, and other menus if required.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


# This is the debhelper compatability version to use.
export DH_COMPAT=3

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp

build: configure-stamp build-stamp
build-stamp:
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	msgfmt -o po/sgmltexi.mo po/it.po	
	touch build-stamp

clean:
	dh_testdir
	dh_testroot

	# Add here commands to clean up after the build process.
	-$(MAKE) clean
	rm -f po/sgmltexi.mo
	rm -f build-stamp configure-stamp
	rm -f debian/sgmltexi.substvars
	rm -f debian/sgmltexi.postinst.debhelper
	rm -f debian/sgmltexi.prerm.debhelper
	rm -f debian/files
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/sgmltexi.
	$(MAKE) install DESTDIR=$(CURDIR)/debian/sgmltexi
	cp po/sgmltexi.mo debian/sgmltexi/usr/share/locale/it/LC_MESSAGES/

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs
	dh_installexamples
#	dh_installmenu
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron

	cp man/sgmltexi.1 debian/sgmltexi/usr/share/man/man1/
	ln -s sgmltexi.1 debian/sgmltexi/usr/share/man/man1/sgmltexi-sp2texi.1
	dh_installinfo doc/sgmltexi.info doc/sgmltexi.info-1 doc/sgmltexi.info-2 doc/sgmltexi.info-3
#	dh_undocumented
	dh_installchangelogs 
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_makeshlibs
	dh_installdeb
	dh_perl
#	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## sgmltexi 2003.00.00-2

=== Makefile ===
--- 
+++ 
@@ -16,19 +16,23 @@
 # (or /usr/local/share, if installed locally). It is
 # recommended that a subdirectory be used in /usr/share for this purpose. 
 
-SHAREDIR= $(DESTDIR)/usr/share/sgmltexi
+SHAREDIR= $(DESTDIR)/usr/share/sgml/sgmltexi
 INFODIR= $(DESTDIR)/usr/share/info
 
 PODIR= $(DESTDIR)/usr/share/locale/it/LC_MESSAGES
 
+# Must be root to install.
 install:
 
 	install -d $(DOCDIR) $(BIN) $(MANDIR) $(SHAREDIR) $(PODIR) $(INFODIR)
-	install -m755 ./bin/*		$(BIN)
-	cp -a ./share/* 		$(SHAREDIR)
-	install -m644 ./doc/sgmltexi/*		$(DOCDIR)
+	install -m755 $(shell find ./bin -type f -maxdepth 1)	$(BIN)
+	cp -a ./share/sgmltexi.cat.debian	$(SHAREDIR)
+	cp -a ./share/sgmltexi.cat.normal	$(SHAREDIR)
+	cp -a ./share/sgmltexi.dcl		$(SHAREDIR)
+	cp -a ./share/sgmltexi.dtd		$(SHAREDIR)
+	install -m644 $(shell find ./doc/sgmltexi -type f -maxdepth 1) $(DOCDIR)
 	install -m644 ./doc/sgmltexi.ps		$(DOCDIR)
-	cp -a ./doc/examples			$(DOCDIR)
+	# cp -a ./doc/example			$(DOCDIR)
 	install -m644 ./doc/sgmltexi.info*	$(INFODIR)
 
 # No clean needed
@@ -70,6 +74,7 @@
 	rm -rf share/*.orig???
 	rm -rf po/*.mo
 	cd doc ; make cleanall ; make ; make clean ; cd ..
+#	cd po ; msgfmt -vvvv -o sgmltexi.mo it.po ; cd ..
 
 Sgmltexispell:
 	@ispell bin/sgmltexi				; \

=== debian/changelog ===
sgmltexi (2003.00.00-2) unstable; urgency=low

  * Description improved
    (closes: #209695)
  * closing NMU: (closes: #148141)
    (closes: #144278)

 -- Gaetano Paolone (bigpaul) <bigpaul@debian.org>  Mon, 05 Jan 2004 20:04:06 +0200

sgmltexi (2003.00.00-1) unstable; urgency=low

  * Big patch and big thanks to Peter Muir who
    is responsible for the next 4 points
    (closes: #186405)
  * debian/postinst,prerm: Centralized catalog, ie
    `/etc/sgml/$package.cat', only has CATALOG lines.
  * debian/links: Choose correct catalog through dh_link.
  * debian/docs: Add old ordinary catalog to check for delete.
  * share/sgmltexi.cat.*: Use relative filenames.
  *
  * Also thanks to upstream (Daniele Giacomini)
    who sent me new dtd width patch for email element.
    (closes: #186695)

 -- Gaetano Paolone (bigpaul) <bigpaul@debian.org>  Mon, 31 Mar 2003 20:04:06 +0200

sgmltexi (2003.00.00) unstable; urgency=low

  * Packaging 2001.00.00 release.

 -- Gaetano Paolone (bigpaul) <bigpaul@debian.org>  Sun, 23 Mar 2003 00:05:00 +0200

=== debian/control ===
Source: sgmltexi
Section: text
Priority: optional
Maintainer: Gaetano Paolone (bigpaul) <bigpaul@debian.org>
Build-Depends: debhelper (>> 3.0.0)
Standards-Version: 3.5.8.0

Package: sgmltexi
Architecture: any
Depends: gettext, sp (>= 1.3.4-1.2.1-16), texinfo (>= 4.0-4), tetex-bin (>= 0.9.990310-1), tetex-base (>= 0.990311-1), tetex-extra (>= 1.0.2), liblocale-gettext-perl (>= 1.01-8), sgml-data, sgml-base
Description: This package provides a SGML typesetting system
 Sgmltexi is a SGML typesetting system based on Texinfo.
 Sgmltexi is an SGML system (DTD and tools) to make Texinfo
 documentation using SGML. The Sgmltexi DTD is designed to 
 follow most of the Texinfo philosofy, hiding the node managing.
 Sgmltexi is to be intended as a simplified Texinfo using SGML; that
 is: you cannot do all that it is possible with Texinfo alone. Sgmltexi
 impose some restrictions, but maybe it can be simpler to write Texinfo
 documentation this way.

=== debian/rules ===
--- 
+++ 
@@ -36,7 +36,6 @@
 	rm -f debian/sgmltexi.substvars
 	rm -f debian/sgmltexi.postinst.debhelper
 	rm -f debian/sgmltexi.prerm.debhelper
-	rm -f debian/files
 	dh_clean
 
 install: build

## sgmltexi 2003.00.00-2.1

=== doc/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #=======================================================================
-# Copyright (c) 2000 Daniele Giacomini daniele@swlibero.org
+# Copyright (C) 2000, 2003 Daniele Giacomini daniele@swlibero.org
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -76,7 +76,8 @@
 	rm -f $(PROJECT).texinfo			; \
 	rm -f $(PROJECT).txt				; \
 	rm -f $(PROJECT).dvi				; \
-	rm -rf sgmlteki					; \
+	rm -f $(PROJECT).xml				; \
+	rm -rf $(PROJECT)				; \
 
 #-----------------------------------------------------------------------
 # Check spelling.
@@ -124,3 +125,9 @@
 html:
 	@sgmltexi --html --force $(PROJECT).sgml
 
+
+#-----------------------------------------------------------------------
+# Test.
+#-----------------------------------------------------------------------
+test:
+	@sgmltexi --docbook --force $(PROJECT).sgml

=== old/Makefile ===
#-----------------------------------------------------------------------
# Prepare Debian GNU/Linux package.
#
# The postinst script is not taken into consideration. I don't know
# why.
#
# For better architecture compatibility, don't generate any .mo file.
#-----------------------------------------------------------------------
deb:
	@echo -n "Preparing $(PROJECT) Debian GNU/Linux package"; \
	rm -fr $(TEMPDIRDEB)					; \
	mkdir -p $(TEMPDIRDEB)					; \
	chmod ug-s $(TEMPDIRDEB)				; \
	\
	mkdir -p $(TEMPDIRDEB)/usr/bin				; \
	cp sgmltexi sgmltexi-sp2texi $(TEMPDIRDEB)/usr/bin	; \
	mkdir -p $(TEMPDIRDEB)/usr/share/info			; \
	cp doc/sgmltexi.info*		\
	   $(TEMPDIRDEB)/usr/share/info				; \
	gzip -9 $(TEMPDIRDEB)/usr/share/info/*			; \
	mkdir -p $(TEMPDIRDEB)/etc/sgmltexi			; \
	mkdir -p $(TEMPDIRDEB)/etc/sgmltexi/entities		; \
	cp sgmltexi.cat			\
	   sgmltexi.dcl			\
	   sgmltexi.dtd			\
	   $(TEMPDIRDEB)/etc/sgmltexi				; \
	cp entities/* $(TEMPDIRDEB)/etc/sgmltexi/entities	; \
	mkdir -p $(TEMPDIRDEB)/usr/share/doc/sgmltexi		; \
	cp doc/sgmltexi.dvi		\
	   doc/sgmltexi*.html		\
	   doc/sgmltexi.txt		\
	   doc/sgmltexi.texinfo		\
	   $(TEMPDIRDEB)/usr/share/doc/sgmltexi			; \
	cp copyright 	\
	   $(TEMPDIRDEB)/usr/share/doc/sgmltexi/copyright	; \
	\
	mkdir $(TEMPDIRDEB)/DEBIAN				; \
	cp debian/postinst $(TEMPDIRDEB)/DEBIAN			; \
	\
	rm -f $(TEMPDIRDEB)/DEBIAN/control			; \
	echo "Package: sgmltexi"				>> $(TEMPDIRDEB)/DEBIAN/control	;\
	echo "Version: " $(VERSION)				>> $(TEMPDIRDEB)/DEBIAN/control	;\
	echo "Section: text"					>> $(TEMPDIRDEB)/DEBIAN/control	;\
	echo "Priority: optional"				>> $(TEMPDIRDEB)/DEBIAN/control	;\
	echo "Maintainer: Makefile from original sources"	>> $(TEMPDIRDEB)/DEBIAN/control	;\
	echo "Architecture: " $(ARCH)				>> $(TEMPDIRDEB)/DEBIAN/control	;\
	echo "Depends: sp (>= 1.1.1-3), perl5"			>> $(TEMPDIRDEB)/DEBIAN/control	;\
	echo "Suggests: tetex-base, tetex-bin, texinfo, info-browser"	>> $(TEMPDIRDEB)/DEBIAN/control	;\
	echo "Description: SGML system generating Texinfo code."	>> $(TEMPDIRDEB)/DEBIAN/control	;\
	echo " ."						>> $(TEMPDIRDEB)/DEBIAN/control	;\
	echo " Sgmltexi is an SGML system an front-end to"	>> $(TEMPDIRDEB)/DEBIAN/control	;\
	echo " Texinfo typesetting system."			>> $(TEMPDIRDEB)/DEBIAN/control	;\
	\
	dpkg --build $(TEMPDIRDEB) sgmltexi_$(VERSION).deb	; \
	echo

=== po/Makefile ===
#=======================================================================
# Copyright (C) 2000 Daniele Giacomini daniele@swlibero.org
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#=======================================================================


#-----------------------------------------------------------------------
# Join PO files.
#-----------------------------------------------------------------------
update:
	@mv it.po it.po.orig				; \
	msgmerge it.po.orig ../messages.po > it.po

#-----------------------------------------------------------------------
# Compile MO files.
#-----------------------------------------------------------------------
compile:
	@mkdir /tmp/sgmltexi				; \
	mkdir /tmp/sgmltexi/it				; \
	msgfmt -vvvv -o /tmp/sgmltexi/it/sgmltexi.mo it.po

=== debian/changelog ===
sgmltexi (2003.00.00-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * postrm no longer calls update-catalog if not present when purging.
  (Closes: #391206)
  * Fixed utf-8 syntax of Changelog.
  * debian/control
    + Set Standards-Version to 3.7.2.
    + Fixed description.
    + Build-Depends on debhelper (>> 4.0.0)
  * debian/rules
    + Set DH_COMPAT to 4.

 -- Arnaud Hocevar <arnaud@hocevar.net>  Sat,  7 Oct 2006 15:46:09 +0000

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,13 @@
 Section: text
 Priority: optional
 Maintainer: Gaetano Paolone (bigpaul) <bigpaul@debian.org>
-Build-Depends: debhelper (>> 3.0.0)
-Standards-Version: 3.5.8.0
+Build-Depends: debhelper (>> 4.0.0)
+Standards-Version: 3.7.2
 
 Package: sgmltexi
 Architecture: any
 Depends: gettext, sp (>= 1.3.4-1.2.1-16), texinfo (>= 4.0-4), tetex-bin (>= 0.9.990310-1), tetex-base (>= 0.990311-1), tetex-extra (>= 1.0.2), liblocale-gettext-perl (>= 1.01-8), sgml-data, sgml-base
-Description: This package provides a SGML typesetting system
+Description: SGML typesetting system
  Sgmltexi is a SGML typesetting system based on Texinfo.
  Sgmltexi is an SGML system (DTD and tools) to make Texinfo
  documentation using SGML. The Sgmltexi DTD is designed to

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 
 # This is the debhelper compatability version to use.
-export DH_COMPAT=3
+export DH_COMPAT=4
 
 configure: configure-stamp
 configure-stamp:

=== debian/watch ===
# Example watch control file for uscan
# Rename this file to "watch" and then you can run the "uscan" command
# to check for upstream updates and more.
# Site		Directory		Pattern			Version	Script
master.swlibero.org	/~daniele/software/sgmltexi	sgmltexi-(.*)\.tar\.gz	debian	uupdate

## sgmltexi 2003.00.00-2.2

=== debian/changelog ===
sgmltexi (2003.00.00-2.2) unstable; urgency=low

  * NMU to address RC bug
  * make sgmltexi installable by dropping the superfluous dependency on
    tetex-base (see #419230).  This lowers the severity of this bug to
    only important.
  * Drop versions in Depends which can even be fulfilled in oldstable (and
    most actually in potato...)

 -- Frank Kster <frank@debian.org>  Mon, 16 Apr 2007 14:54:58 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 Package: sgmltexi
 Architecture: any
-Depends: gettext, sp (>= 1.3.4-1.2.1-16), texinfo (>= 4.0-4), tetex-bin (>= 0.9.990310-1), tetex-base (>= 0.990311-1), tetex-extra (>= 1.0.2), liblocale-gettext-perl (>= 1.01-8), sgml-data, sgml-base
+Depends: gettext, sp, texinfo, tetex-bin, tetex-extra, liblocale-gettext-perl, sgml-data, sgml-base
 Description: SGML typesetting system
  Sgmltexi is a SGML typesetting system based on Texinfo.
  Sgmltexi is an SGML system (DTD and tools) to make Texinfo
